<div class="thim-link-login thim-login-popup">
	<?php
	$layout               = isset( $instance['layout'] ) ? $instance['layout'] : 'base';
	$profile_text         = $logout_text = $login_text = $register_text = '';
	$registration_enabled = get_option( 'users_can_register' );

	if ( 'base' == $layout ) {
		$profile_text  = isset( $instance['text_profile'] ) ? $instance['text_profile'] : '';
		$logout_text   = isset( $instance['text_logout'] ) ? $instance['text_logout'] : '';
		$login_text    = isset( $instance['text_login'] ) ? $instance['text_login'] : '';
		$register_text = isset( $instance['text_register'] ) ? $instance['text_register'] : '';
	} else {
		$profile_text = '<i class="tk tk-users"></i>';
		$logout_text  = '<i class="tk tk-file-export"></i>';
		$login_text   = '<i class="tk tk-users"></i>';
	}

	// Login popup link output
	if ( is_user_logged_in() ) {
		if ( class_exists( 'LearnPress' ) && $profile_text ) {
			if ( thim_is_new_learnpress( '1.0' ) ) {
				echo '<a class="profile" href="' . esc_url( learn_press_user_profile_link() ) . '">' . ( $profile_text ) . '</a>';
			} else {
				echo '<a class="profile" href="' . esc_url( apply_filters( 'learn_press_instructor_profile_link', '#', get_current_user_id(), '' ) ) . '">' . ( $profile_text ) . '</a>';
			}
		}

		if ( $login_text ) {
			?>
			<a class="logout"
			   href="<?php echo esc_url( wp_logout_url( apply_filters( 'thim_default_logout_redirect', thim_eduma_get_current_url() ) ) ); ?>"><?php echo( $logout_text ); ?></a>
			<?php
		}
	} else {
		if ( $registration_enabled && 'base' == $layout ) {
			if ( $register_text ) {
				echo '<a class="register js-show-popup" href="' . esc_url( thim_get_register_url() ) . '">' . ( $register_text ) . '</a>';
			}
		}

		if ( $login_text ) {
			echo '<a class="login js-show-popup" href="' . esc_url( thim_get_login_page_url() ) . '">' . ( $login_text ) . '</a>';
		}
	}
	// End login popup link output
	?>
</div>
<?php

if ( ! is_user_logged_in() ) {
	$registration_enabled = get_option( 'users_can_register' );

	?>
	<div id="thim-popup-login">
		<div class="popup-login-wrapper<?php echo ( ! empty( $instance['shortcode'] ) ) ? ' has-shortcode' : ''; ?>">
			<div class="thim-login-container">
				<?php
				if ( ! empty( $instance['shortcode'] ) ) {
					echo do_shortcode( $instance['shortcode'] );
				}
 				?>

				<div class="thim-popup-inner">
					<div class="thim-login">
						<h4 class="title"><?php esc_html_e( 'Login with your site account', 'eduma' ); ?></h4>
						<?php
						$captcha = isset( $instance['captcha'] ) && $instance['captcha'] ? $instance['captcha'] : 'no';
						/*
						 * @hooked thim_form_login_widget - 10
						 */
						do_action( 'thim_form_login_widget', $captcha );

						if ( $registration_enabled ) {
							echo '<p class="link-bottom">' . esc_html__( 'Not a member yet? ', 'eduma' ) . ' <a class="register" href="' . esc_url( thim_get_register_url() ) . '">' . esc_html__( 'Register now', 'eduma' ) . '</a></p>';
						}
						?>
						<?php do_action( 'thim-message-after-link-bottom' ); ?>
					</div>

					<?php if ( $registration_enabled ): ?>
						<div class="thim-register">
							<h4 class="title"><?php echo esc_html_x( 'Register a new account', 'Login popup form', 'eduma' ); ?></h4>
							<?php
							$term = array();
							if ( isset( $instance['term'] ) ) {
								$term['url']         = $instance['term'];
								$term['is_external'] = '_blank';
								$term['nofollow']    = '';
							}
							/*
							* @hooked thim_form_register_widget - 10
							 */
							do_action( 'thim_form_register_widget', $captcha, $term, 'current' );
							?>
							<?php echo '<p class="link-bottom">' . esc_html_x( 'Are you a member? ', 'Login popup form', 'eduma' ) . ' <a class="login" href="' . esc_url( thim_get_login_page_url() ) . '">' . esc_html_x( 'Login now', 'Login popup form', 'eduma' ) . '</a></p>'; ?>
							<?php do_action( 'thim-message-after-link-bottom' ); ?>
							<div class="popup-message"></div>
						</div>
					<?php endif; ?>
				</div>

				<span class="close-popup"><i class="fa fa-times" aria-hidden="true"></i></span>
				<div class="cssload-container">
					<div class="cssload-loading"><i></i><i></i><i></i><i></i></div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>
